function [color_number,distance] = read_sensors(ser)
% Popis funkcie:
% Funkcia ziska data(farbu a vzdialenost) zo serial portu a ulozi ich do
% premmenych

flush(ser);                                       % premazanie serial portu
arduino_data_string = split(readline(ser));       % rozdelenie dat z portu do matice
k = 1;                                            % premenna pre osetrenie zaseknutia vo while
    while length(arduino_data_string) == 1        % osetrenie zleho nacitania dat z arduina
        arduino_data_string = split(readline(ser));
        if k > 5 ;return; end
        k = k + 1;
    end
k = 1;
color_number = str2double(arduino_data_string(1));    % cislo farby
    while color_number == 0         % osetrenie nenacitania farby pri prvom zapnuti
        [color_number,distance] = read_sensors(ser);
        if k > 5 ;return; end
        k = k + 1;
    end
    k = 1;
distance = str2double(arduino_data_string(2));        % vzdialenost od snimaca
end

